#ifndef UTIL_TYPES_H_READ
#define UTIL_TYPES_H_READ 1

// This header contains types which are used in util.h, and which are
// also used in xml_expat.h, which util.h includes.  Separate them out
// here to avoid an import loop.

#include <stdlib.h>
#include <stdint.h>

typedef uint8_t byte;

typedef struct {
    size_t nwritten;
    size_t len;
    byte* buf;
} Buf;

#endif /* UTIL_TYPES_H_READ */
