Xoxa-C: XML normalisation library in C
======================================

This is Xoxa-C, @VERSION@, @RELEASEDATE@

This distribution is still beta software.

This library normalises XML into a form which can be easily signed,
and proves support for generating and validating message digests and
PGP signatures.

The distribution includes extensive API documentation.  There is a
paper describing the approach at ... TO COME.

Building
--------

As usual:

    % ./configure
    % make
    % make check
    % make install

If building from a checkout, precede that with `./bootstrap`,
which will additionally run `autoconf` to generate the configure
script.

After building

    % ./xoxa --help

shows usage information, and `man ./xoxa.1` a full man-page.

As an alternative to outputing normalised XML, the program can instead
calculate and display message digests of XML, if called with the `-d`
option.  On OS X, the program will use the CommonCrypto API for
digests; on other platforms (or if the `--with-openssl` option is
provided), it will use the OpenSSL library.  The configure script will
use the system Expat library if it is available; if it is not, the
path to the library may be provided using `--with-expat`.

For further information, see the source repository at
https://bitbucket.org/nxg/xoxa or the distribution page at
@WEBPAGE@


Norman Gray  
http://nxg.me.uk
